From f165141179d4b4f78a275a3cff108090c3609d4c Mon Sep 17 00:00:00 2001
From: Jeff Rizzo <riz@tastylime.net>
Date: Sun, 20 Dec 2015 08:41:09 -0800
Subject: [PATCH 10/18] Remove old option setting.

---
 sys/dev/pci/if_ral_pci.c | 2 --
 1 file changed, 2 deletions(-)

diff --git a/sys/dev/pci/if_ral_pci.c b/sys/dev/pci/if_ral_pci.c
index 1f73a08..56fc3a1 100644
--- a/sys/dev/pci/if_ral_pci.c
+++ b/sys/dev/pci/if_ral_pci.c
@@ -140,8 +140,6 @@ ral_pci_attach(device_t parent, device_t self, void *aux)
 
 	pci_aprint_devinfo(pa, NULL);
 
-	psc->sc_opns = (PCI_PRODUCT(pa->pa_id) == PCI_PRODUCT_RALINK_RT2560) ?
-	    &ral_rt2560_opns : &ral_rt2661_opns;
 	if (PCI_VENDOR(pa->pa_id) == PCI_VENDOR_RALINK) {
 		switch (PCI_PRODUCT(pa->pa_id)) {
 		case PCI_PRODUCT_RALINK_RT2560:
-- 
2.5.2


